Uploaded image for project: 'Errai'
  1. Errai
  2. ERRAI-255

All instances of maven-surefire-plugin should refer to the same version

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 2.0.Beta4
    • Component/s: None
    • Labels:
      None

      Description

      From the Errai Community Forum:

      [INFO] — maven-compiler-plugin:2.3.2:testCompile (default-testCompile) @ errai-bus-demos-stress-test —
      [INFO] Compiling 3 source files to /Users/johndestefano/git/errai/errai-bus/demos/bus-stress-test/target/test-classes
      [INFO]
      [INFO] — maven-surefire-plugin:2.7.2:test (default-test) @ errai-bus-demos-stress-test —
      [WARNING] The POM for org.apache.maven.plugins:maven-surefire-plugin:jar:2.7.2 is invalid, transitive dependencies (if any) will not be available, enable debug logging for more details
      Mar 31, 2012 10:15:03 AM org.sonatype.guice.bean.reflect.NamedClass
      WARNING: Error injecting: org.apache.maven.plugin.surefire.SurefirePlugin
      java.lang.TypeNotPresentException: Type org.apache.maven.plugin.surefire.SurefirePlugin not present

      Some of the pom files have version 2.5 of the sunfire plugin referenced while others have 2.7.2. I think its an "effective pom" issue as when I reconfigure to use 2.5 I can get code to compile. I'm running mvn clean install from the root of all the projects.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                jfuerth Jonathan Fuerth
                Reporter:
                jfuerth Jonathan Fuerth
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: